Bug 1634793 - Inconsolata font does not show up in gnome-terminal
Summary: Inconsolata font does not show up in gnome-terminal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: levien-inconsolata-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-01 16:01 UTC by Matthew Miller
Modified: 2020-01-05 12:00 UTC (History)
15 users (show)

Fixed In Version: levien-inconsolata-fonts-3.000-1.fc31 levien-inconsolata-fonts-3.000-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-21 00:56:42 UTC
Type: Bug


Attachments (Terms of Use)
inconsolata in Emacs started looking v e r y b a d... (83.55 KB, image/png)
2019-12-21 06:37 UTC, Andy Grover
no flags Details

Description Matthew Miller 2018-10-01 16:01:14 UTC
Description of problem:


In F29 beta, the Inconsolata font does not show up in the list of available fonts when installed as levien-inconsolata-fonts.

However, it *does* show up in other applications, including as an option for Monospaced font in Gnome Tweaks.

If I drop the ttf file from the package into ~/.fonts, that does not help. However, if I download the ttf file from github, it *does* work. So, I suspect something is wrong with the packaged font.

Version-Release number of selected component (if applicable):

levien-inconsolata-fonts-2.012-2.fc29.noarch
gnome-terminal-3.28.2-4.fc29.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Install f29 workstation beta
2. Try to change your font in gnome terminal


Actual results:

Font not available

Expected results:

Font available
Additional info:

Comment 1 Yanko Kaneti 2018-10-02 08:13:35 UTC
Fontconfig doesn't report a spacing property for the 2.012 ttfs while it does for the older 2.000 ones that I could find.  pango_fc_family_is_monospace would not return true for the new ones.

Comment 2 Kevin Fenzi 2018-10-06 04:02:04 UTC
Filed https://github.com/googlefonts/Inconsolata/issues/27 upstream about this.

Comment 3 Doug Maxey 2018-11-21 07:22:22 UTC
Another datapoint, for emacs-26.1-3.fc28.x86_64, the font shows as available, but when used, appears to fixed at about 7-8 point, which is too small to be usable, but reports the size as 10.  Attempts to change the size appear to be accepted, but no size change is visible. When another attempt to change the size is made, it shows being at 10pt regardless of the size reported from the last change attempt.

Comment 4 Doug Maxey 2018-11-21 07:23:16 UTC
I did not mention this in the released F29.

Comment 5 Doug Maxey 2018-11-21 07:28:56 UTC
(In reply to Yanko Kaneti from comment #1)
> Fontconfig doesn't report a spacing property for the 2.012 ttfs while it
> does for the older 2.000 ones that I could find. 
> pango_fc_family_is_monospace would not return true for the new ones.

Any chance to roll back the version to 2.000 in the interim?

Comment 6 Paulo Fidalgo 2018-12-04 12:18:01 UTC
I would like to reinforce the ideia, that we should probably rollback the version... I use the font for my coding and at the moment my VIM looks ugly as it's defaulting to the default system fonts..

Comment 7 Didier 2019-07-01 08:01:08 UTC
This is still an issue with levien-inconsolata-fonts-2.012-3.fc30.noarch .

As being unable to use a terminal font in a terminal renders installation moot, downgrading to the most recent working (but now unsupported) version, levien-inconsolata-fonts-1.01-16.fc28.noarch, and excluding the upgrade in /etc/dnf/dnf.conf, mitigates the problem.

Comment 8 Philip Kovacs 2019-07-02 00:51:46 UTC
I mask off levien-inconsolata-fonts.noarch 2.012-3.fc30 in /etc/yum.repos.d/fedora.repo by adding exclude=levien-inconsolata-fonts.noarch ath the bottom of the [fedora] section. I don't mask in /etc/dnf/dnf.conf since, hopefully, upstream will eventually fix the package and an update will appear in the fedora-updates repo which I do not mask with an exclude.   The upstream package has weird new sizes on some of its glyphs and it's no longer recognized by fontconfig as an acceptable monospace font, so it falls off the edge of the font world completely.

Comment 9 Paulo Fidalgo 2019-07-24 10:40:03 UTC
In Fedora 30 I've installed the font from the repo: https://github.com/googlefonts/Inconsolata/tree/master/fonts/otf

and they work as expected. I had to remove the font from the RPM package.

Comment 10 Ben Cotton 2019-10-31 18:49:48 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2019-11-27 23:26:41 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Yanko Kaneti 2019-12-12 18:07:17 UTC
As noted upstream v3.000 of the fonts sould probably fix this

Comment 13 Fedora Update System 2019-12-12 22:05:52 UTC
FEDORA-2019-56ede6a987 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-56ede6a987

Comment 14 Fedora Update System 2019-12-12 23:00:22 UTC
FEDORA-2019-7a757645e6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a757645e6

Comment 15 Fedora Update System 2019-12-13 01:49:04 UTC
levien-inconsolata-fonts-3.000-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-56ede6a987

Comment 16 Fedora Update System 2019-12-13 02:56:31 UTC
levien-inconsolata-fonts-3.000-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7a757645e6

Comment 17 Fedora Update System 2019-12-21 00:56:42 UTC
levien-inconsolata-fonts-3.000-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-12-21 02:06:46 UTC
levien-inconsolata-fonts-3.000-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Andy Grover 2019-12-21 06:37:43 UTC
Created attachment 1646962 [details]
inconsolata in Emacs started looking v e r y   b a d...

Comment 20 Doug Maxey 2019-12-21 11:49:01 UTC
(In reply to Andy Grover from comment #19)
> Created attachment 1646962 [details]
> inconsolata in Emacs started looking v e r y   b a d...

same here

Comment 21 Kevin Fenzi 2019-12-21 18:36:21 UTC
Would you be willing to file this upstream? https://github.com/googlefonts/Inconsolata ?

I note that it's not all the faces that do this, ie, the 'semi condensed' one looks 'normal'...

Comment 22 Mikolaj Izdebski 2020-01-02 09:03:45 UTC
v2 to v3 is a major version upgrade (pushed in stable releases) and it changes user experience - the new fonts look totally different and IMHO are hardly readable. I had to revert the update on my systems.


Note You need to log in before you can comment on or make changes to this bug.